-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}

local neutral = 0
local gear    = 0

local function onInit()
   electrics.values['neutralPosPistol'] = 0
   electrics.values['gearPosPistol']    = 0
end

local function reset()
   onInit()
end

local function updateGFX(dt)
   local choice = electrics.values.gear
	
   if choice == -1 then gear = 1.10  neutral = -0.45 end	
	
   if choice == 0 then gear = 0      neutral = 0 end
	
   if choice == 1 then gear = -0.80  neutral =  0.55 end
   if choice == 2 then gear = 1.05   neutral =  0.25 end
   if choice == 3 then gear = -0.80  neutral =  0.30 end
   if choice == 4 then gear = 1.05   neutral = -0.10 end
   if choice == 5 then gear = -0.80  neutral = -0.05 end
   if choice == 6 then gear = 1.05   neutral = -0.30 end
 
   electrics.values['neutralPosPistol'] = neutral
   electrics.values['gearPosPistol']    = gear
end

-- public interface
M.onInit    = onInit
M.onReset   = reset
M.updateGFX = updateGFX

return M